import java.io.*;
import java.util.*;
import xBaseJ.*;

public class example3 {
	
	public static void main(String args[]){
		
		try{
			//Create a new dbf file
			DBF aDB=new DBF("teacher.dbf",true);
			
			//Define fields 
			CharField teacherId = new CharField("teacherId",9);
			CharField teacherNm = new CharField("teacherNm",25);
			CharField dept = new CharField("dept",4);
			LogicalField tenure = new LogicalField("tenure");
			
			//Add fields to database 
			aDB.addField(teacherId);
			aDB.addField(teacherNm);
			aDB.addField(dept);
			aDB.addField(tenure);
			
			aDB.createIndex("teacher.ndx","teacherID",true,true);     // true - delete NDX, false - unique ID
			System.out.println("index created");
			
			aDB.getField("teacherId").put("120120120");
			aDB.getField("teacherNm").put("Joanna Coffee");
			aDB.getField("dept").put("0800");
			((LogicalField) aDB.getField("tenure")).put(true);
			
			aDB.write();
			
			aDB.getField("teacherId").put("321123120");
			aDB.getField("teacherNm").put("Juan Veldazou");
			aDB.getField("dept").put("0810");
			((LogicalField) aDB.getField("tenure")).put(true);
			
			aDB.write();
			
			aDB.getField("teacherId").put("300020000");
			aDB.getField("teacherNm").put("Exal De' Cuau");
			aDB.getField("dept").put("0810");
			((LogicalField) aDB.getField("tenure")).put(false);
			
			aDB.write();
			
			
			
		}catch(Exception e){
			e.printStackTrace();
		}
	}
}



